/* # Block Newsletter

Encart inscription newsletter

Markup:
<div class="formulaire_spip formulaire_newsletter formulaire_newsletter_subscribe ajax">
    <form method="post" action="/#" aria-live="off" class="noajax hasajax">
        <input type="hidden" name="var_ajax" value="form">
        <div>
            <div>
                <input name="formulaire_action" type="hidden" value="newsletter_subscribe">
                <input name="formulaire_action_args" type="hidden" value="MtK3g0bx8AxEO/y+mTkb4DeU1TEvGlZ+1muHsSkBRfVUPsFPk2kA6XNQ/CgW3/IE4dpEjvFV6KZQ5llrlRmZoWXfplrJ+Ln6/Uu5si6fXLpAKg==">
            </div>
            <ul class="editer-groupe">
                <li class="editer editer_session_email obligatoire">
                    <label for="session_email">Email</label>
                    <input type="email" placeholder="Saisissez votre email" name="session_email" class="email text" value="webhamster@mister-graphx.com" id="session_email" required="required">
                </li>
            </ul>
            <!--extra-->
            <p class="boutons">
                <input type="submit" class="submit" value="M'inscrire à la Newsletter">
            </p>
        </div>
    </form>
</div>

Styleguide theme.blocks.newsletter
*/
.block_newsletter {


    //background-color: #e7f5de;

    form {
        margin: 0 auto;
        background: white;
    }

    label {@extend .visuallyhidden;}

    input.email.text,
    input.submit {
        padding: .5rem;
        margin:0;
        line-height: strip_unit($base-line-height);
        border: 1px solid rgba($black, .4);
        font-style: italic;
		font-size: $base-font-size;
    }
		input.email.text {
			background-color: $white;
		}
    input.submit{
        @extend .btn.btn-primary;
        white-space: normal;
        width: 100%;
    }


    @include media('>tablet'){
		   	padding: $base-spacing;
	      form{
	          width: 100%;
						padding: $base-spacing;
	      }
        input, p {
            margin: 0;
        }
        & .editer-groupe > .editer { // spip form class
            display: block;
            width: 50%;
            float: left;
        }
        & input.email.text {
            //line-height: 32px;
        }
        & input.submit {
            width: 50%;
        }
        & p.boutons {
            clear:none;
        }

    }
}
